Skip to main content
Training Data

List Q&A entries

Returns Q&A entries, newest first, with cursor pagination. Filter by externalId or source. Entries include their full questions and answer.

GET
/v2/training_data/qna
Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

limitintegerquerydefault:10

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
Example: 10
cursorstringquery

An opaque cursor for pagination. Use the nextCursor value from a previous response to fetch the next page of results.

Maximum string length: 512
Example: eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9
externalIdstringquery

Only return the entry with this externalId

Required string length: 1 - 255
Example: kb-article-1842
sourcestringquery

Only return entries with this source label

Required string length: 1 - 100
Example: resolved-conversations
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-08-19.orbit

Response

application/json

Success

dataobject[]required

Array containing the actual response elements

nextCursorstring | nullrequired

Cursor to use for fetching the next page. Null if there are no more results.

Maximum string length: 512
Example: eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9
objectenum<string>required

String representing the object type

Available options: list
Example: list